[arch-commits] Commit in libwmf/trunk (PKGBUILD libpng14.patch)

Ionut Biru ibiru at archlinux.org
Sat Jan 16 18:48:11 EST 2010


    Date: Saturday, January 16, 2010 @ 18:48:11
  Author: ibiru
Revision: 63323

upgpkg: libwmf 0.2.8.4-6
    libpng 1.4.0/libjpeg 8 rebuild

Added:
  libwmf/trunk/libpng14.patch
Modified:
  libwmf/trunk/PKGBUILD

----------------+
 PKGBUILD       |   21 ++++++++++++---------
 libpng14.patch |   12 ++++++++++++
 2 files changed, 24 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-16 23:18:28 UTC (rev 63322)
+++ PKGBUILD	2010-01-16 23:48:11 UTC (rev 63323)
@@ -3,29 +3,32 @@
 # Contributor: FJ <joostef at gmail.com>
 pkgname=libwmf
 pkgver=0.2.8.4
-pkgrel=5
+pkgrel=6
 pkgdesc="A library for reading vector images in Microsoft's native Windows Metafile Format (WMF)."
 arch=(i686 x86_64)
 url="http://wvware.sourceforge.net/libwmf.html"
 license=("LGPL")
-depends=('libpng' 'libx11' 'freetype2' 'libjpeg>=7' 'gsfonts' 'expat>=2.0')
-makedepends=('gtk2>=2.10.0' 'pkgconfig')
+depends=('libpng>=1.4.0' 'libx11' 'freetype2' 'libjpeg>=8' 'gsfonts' 'expat>=2.0')
+makedepends=('gtk2>=2.18.6' 'pkgconfig')
 options=(!libtool)
 install=libwmf.install
-source=(http://downloads.sourceforge.net/sourceforge/wvware/${pkgname}-${pkgver}.tar.gz)
-md5sums=(d1177739bf1ceb07f57421f0cee191e0)
+source=(http://downloads.sourceforge.net/sourceforge/wvware/${pkgname}-${pkgver}.tar.gz
+	libpng14.patch)
+md5sums=('d1177739bf1ceb07f57421f0cee191e0'
+         '80f3bc74457ea66c1422db1acce48940')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -Np1 -i "${srcdir}/libpng14.patch" || return 1
   sed -i -e 's/src include fonts doc/src include fonts/g' Makefile.in
   ./configure --prefix=/usr \
               --with-gsfontdir=/usr/share/fonts/Type1 \
 	      --with-fontdir=/usr/share/fonts/Type1 \
 	      --with-gsfontmap=/usr/share/ghostscript/8.15/lib/Fontmap.GS
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${pkgdir} install
   #Remove fonts, these are in gsfonts
-  rm -rf ${startdir}/pkg/usr/share/fonts
+  rm -rf ${pkgdir}/usr/share/fonts
   #Remove static GTK loader, can't use it anyways
-  rm -f ${startdir}/pkg/usr/lib/gtk-2.0/*/loaders/*.a
+  rm -f ${pkgdir}/usr/lib/gtk-2.0/*/loaders/*.a
 }

Added: libpng14.patch
===================================================================
--- libpng14.patch	                        (rev 0)
+++ libpng14.patch	2010-01-16 23:48:11 UTC (rev 63323)
@@ -0,0 +1,12 @@
+diff -Nur libwmf-0.2.8.4.orig/src/extra/gd/gd_png.c libwmf-0.2.8.4/src/extra/gd/gd_png.c
+--- libwmf-0.2.8.4.orig/src/extra/gd/gd_png.c	2005-07-27 23:35:06.000000000 +0300
++++ libwmf-0.2.8.4/src/extra/gd/gd_png.c	2010-01-17 01:33:58.000000000 +0200
+@@ -136,7 +136,7 @@
+   /* first do a quick check that the file really is a PNG image; could
+    * have used slightly more general png_sig_cmp() function instead */
+   gdGetBuf (sig, 8, infile);
+-  if (!png_check_sig (sig, 8))
++  if (!png_sig_cmp (sig, 0, 8))
+     return NULL;		/* bad signature */
+ 
+ #ifndef PNG_SETJMP_NOT_SUPPORTED



More information about the arch-commits mailing list